"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = replacePageCss;

function replacePageCss({
  css
}) {
  console.log('debug: replacePageCss');

  function removeStyles() {
    var styleElements = document.querySelectorAll('link[rel="stylesheet"], style');
    Array.prototype.forEach.call(styleElements, function (element) {
      // keep noscript specific styles,
      // as they are not included in the critical css,
      // and can otherwise result in false screenshot differences
      if (!(element.tagName === 'style' && element.parentNode.tagName === 'NOSCRIPT')) {
        element.parentNode.removeChild(element);
      }
    });
  } // NOTE: duplicated from insertStyles.js file,
  // as not possible to re-use in between


  function insertStyles(styles) {
    var styleTag = document.createElement('style');
    styleTag.type = 'text/css';
    styleTag.appendChild(document.createTextNode(styles)); // prepend instead of append,
    // so styles can be overwritten by possible nocript styles..
    // (all other styles are removed so insertion order otherwise does not matter)

    document.head.prepend(styleTag);
  }

  removeStyles();
  console.log('debug: removed styles');
  insertStyles(css);
}